/* 
 * Copyright (c) 2012 Alexandre Tuleu
 * 
 * This file is part of xeno-cpg.
 * 
 *   xeno-cpg is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 * 
 *   xeno-cpg is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 * 
 *   You should have received a copy of the GNU General Public License
 *   along with PROJECT.  If not, see <http://www.gnu.org/licenses/>.
 */


/**
 * \file types.h
 *
 *  \date Jun 6, 2012
 *  \author Alexandre Tuleu
 */

#ifndef XENO_CPG_XENOMAI_EMULATION_TYPES_H_
#define XENO_CPG_XENOMAI_EMULATION_TYPES_H_

#include <errno.h>

#ifdef __cplusplus
extern "C" {
#endif

	typedef unsigned long long RTIME;
	enum rtime {
		TM_INFINITE,
		TM_NOW
	};

	enum rt_task_mode {
		T_JOINABLE,
		T_WARNSW
	};

	typedef enum rt_task_mode RT_TASK_MODE;

#ifdef __cplusplus
}
#endif



#endif // XENO_CPG_XENOMAI_EMULATION_TYPES_H_
